from django.shortcuts import render, redirect


def index_view(request):
    return render(
        request, 'index.html', context={
            'greetings': 'Hello AP-11!'
        }
    )


def article_create_view(request):
    if request.method == 'GET':
        return render(request, 'article_create.html')

    elif request.method == 'POST':
        print(request.POST)
        data = request.POST
        context = {
            'title': data.get('title'),
            'content': data.get('content'),
            'author': data.get('author')
        }

        return redirect('articles-detail', title=data.get('title'))


# /articles/{id}
def article_detail_view(request, title: str):
    return render(request, 'article.html', context={'title': title})
